Qwt install fails at 'make' command



  • I am currently working on a project in QT that uses the Qwt library. I am trying to port Mac 10.6, QT 4, and Qwt 5 to Mac 10.9, Qt 5, and Qwt 6 (which is super fun) and I think I have finally worked out all of the kinks so that I may be able to try and build the project.

    However, when I try to build I receive the "framework not found qwt" error. As a result I went through the steps of installing Qwt. When I get to the 'make' command however, I receive the following error:

    @ cd src/ && ( test -e Makefile || /Users/telesto/Qt5.3.1/5.3/clang_64/bin/qmake /usr/local/qwt-6.1.0/src/src.pro -spec macx-clang -o Makefile ) && /Applications/Xcode.app/Contents/Developer/usr/bin/make -f Makefile /Users/telesto/Qt5.3.1/5.3/clang_64/bin/qmake -o Makefile src.pro rm -f qwt qwt.framework/qwt ../lib/qwt.framework/qwt linking ../lib/qwt.framework/qwt Undefined symbols for architecture x86_64:
    "___sincos_stret", referenced from:
    QwtCircleClipper::clipCircle(QPointF const&, double) const in qwt_clipper.o
    QwtPointPolar::toPoint() const in qwt_point_polar.o
    QwtRoundScaleDraw::drawLabel(QPainter*, double) const in qwt_round_scale_draw.o
    QwtRoundScaleDraw::drawTick(QPainter*, double, double) const in qwt_round_scale_draw.o
    QwtRoundScaleDraw::extent(QFont const&) const in qwt_round_scale_draw.o
    QwtSimpleCompassRose::drawRose(QPainter*, QPalette const&, QPointF const&, double, double, double, int, int, double) in qwt_compass_rose.o
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make[1]: *** [../lib/qwt.framework/qwt] Error 1
    make: *** [sub-src-make_first-ordered] Error 2@

    I have searched high and low for an answer to this dilemma and nothing has worked so far.

    I very much hope that someone may be able to help me here as I am running out of options.

    Thank you.



  • Condolence - migrating from Qwt 5 -> Qwt 6 is not too much fun.

    But in the end this is the price that needs to be paid for the fact that Qwt5 hides Qt3/Qt4 incompatibilities supporting both versions. Maybe it would have been better to adjust Qwt together with Qt4 - not supporting Qt3 anymore. At least projects starting with Qt4 wouldn't have had to pay.

    Unfortunately there is no golden rule for compatibility, when depending on a library that is under heavy development itself. Keeping one API by establishing a second one for more or less the same thing ( like it is done with Qt4->Qt5 ) isn't IMO much better. Sooner or later Qwt will have to find a way to support both - paint devices and scene graph - causing another boost of API changes to come.

    But concerning your specific problem. The issue seems to be unrelated to Qwt ( beside that it is using sin/cos ): google for "sincos_stret".



  • I uwer,

    Thanks for the reply. Ya I can understand all of that but it is unfortunately a hassle nonetheless.

    As for sincos_Stret, do you have any experience with this? I looked into it a bit yesterday as I guessed this was the problem, but I am slightly lost on it. It seems to be an error in Xcode, but all of the top fixes I have found do not seem to work.

    -Jim



  • I figured it out already, I had to uninstall Xcode 5, install Xcode 6, reinstall the xcode command line tools for Xcode 6, edit the qdevice.pri file, restart the computer and then it finally let me make and install qwt. I now have another issue, but I am going to post a new question for that. Thanks.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.